/ai/config (PUT)
PUT
/ai/config
const url = 'https://example.com/api/v1/ai/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"provider":"anthropic","model":"example","endpoint":"https://example.com","apiKey":"example","localOnly":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/ai/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "provider": "anthropic", "model": "example", "endpoint": "https://example.com", "apiKey": "example", "localOnly": false }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
provider
required
string
model
required
string
endpoint
string format: uri
apiKey
string
localOnly
boolean
Responses
Section titled “Responses”Default Response
Media typeapplication/json
One of:
object
configured
required
boolean
Example
{ "configured": false}